digiKam Developer Documentation: Digikam::DPluginBqm Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::DPluginBqm Class Reference
Inheritance diagram for Digikam::DPluginBqm:

## Signals
void | signalVisible (bool)

## Public Member Functions
| DPluginBqm (QObject *const parent=nullptr)
| Constructor with optional parent object.
| ~DPluginBqm () override
| Destructor.
QStringList | categories () const override
| Return a list of batch tool group categories as strings registered in this plugin.
int | count () const override
| Return the amount of tools registered.
BatchTool * | findToolByName (const QString &name, QObject *const parent) const
| Return a plugin tool instance found by name in plugin tools list for a given parent.
bool | hasVisibilityProperty () const override
| Return true if plugin can be configured in setup dialog about the visibility property.
QString | ifaceIid () const override
| Return the plugin interface identifier.
BqmInfoIface * | infoIface () const
| Return the info interface instance.
void | setVisible (bool b) override
| Holds whether the plugin can be seen in parent view.
QList< BatchTool * > | tools (QObject *const parent) const
| Return all plugin tools registered in setup() method with addTool() for a given parent.
Public Member Functions inherited from Digikam::DPlugin
| DPlugin (QObject *const parent=nullptr)
| Constructor with optional parent object.
| ~DPlugin () override
| Destructor.
virtual QList< DPluginAuthor > | authors () const =0
| Returns authors list for the plugin.
virtual void | cleanUp ()
| Plugin method to clean up internal created objects.
virtual QString | description () const =0
| Returns a short description about the plugin.
virtual QString | details () const =0
| Returns a long description about the plugin.
virtual QMap< QString, QStringList > | extraAboutData () const
| Returns a map of extra data to show in plugin about dialog.
virtual QStringList | extraAboutDataRowTitles () const
| Returns a list of extra data row titles to show in tab of plugin about dialog.
virtual QString | extraAboutDataTitle () const
| Returns the tab title of data returned by extraAboutData().
virtual QString | handbookChapter () const
| Return the online handbook chapter from an handbook section corresponding to this plugin.
virtual QString | handbookReference () const
| Return the online handbook reference from an handbook chapter corresponding to this plugin.
virtual QString | handbookSection () const
| Return the online handbook section corresponding to this plugin.
virtual QIcon | icon () const
| Returns an icon for the plugin.
virtual QString | iid () const =0
| Returns the unique internal identification property of the plugin.
QString | libraryFileName () const
| Returns the file name of the library for this plugin.
virtual QString | name () const =0
| Returns the user-visible name of the plugin.
QStringList | pluginAuthors () const
| Return a list of authors as strings registered in this plugin.
void | setLibraryFileName (const QString &)
| Sets the file name of the library for this plugin.
void | setShouldLoaded (bool b)
| Accessor to adjust the should loaded plugin property.
virtual void | setup (QObject *const parent)=0
| Plugin factory method to create all internal object instances for a given parent.
bool | shouldLoaded () const
| Return the should loaded property.
QString | version () const
| Return the internal version used to check the binary compatibility at run-time.

## Protected Member Functions
void | addTool (BatchTool *const t)

## Member Function Documentation

## ◆ categories()

QStringList Digikam::DPluginBqm::categories | ( |  | ) | const
| overridevirtual

Implements Digikam::DPlugin.

## ◆ count()

int Digikam::DPluginBqm::count | ( |  | ) | const
| overridevirtual

Implements Digikam::DPlugin.

## ◆ hasVisibilityProperty()

bool Digikam::DPluginBqm::hasVisibilityProperty | ( |  | ) | const
| overridevirtual

Default implementation return true.

Reimplemented from Digikam::DPlugin.

## ◆ ifaceIid()

QString Digikam::DPluginBqm::ifaceIid | ( |  | ) | const
| overridevirtual

Implements Digikam::DPlugin.

## ◆ setVisible()

void Digikam::DPluginBqm::setVisible | ( | bool | b | ) |
| overridevirtual

Implements Digikam::DPlugin.